clear all
lambda = [350:20:1000]*1e-9;
redbr = loadspectrum(lambda, 'redbrick.dat');
wled = loadspectrum(lambda, 'wled.dat');
redbr_illu = redbr.*wled;
plot(lambda, redbr/max(redbr), lambda, redbr_illu/max(redbr_illu))
legend('redbrick','redbrick illuminated');

xy(:,1)= lambda2xy(lambda, redbr_illu);
xy(:,2) = lambda2xy(lambda, redbr);

figure, xycolorspace
plot_point(xy,'o', 'sequence', 'textcolor', 'b')
legend(' ', '2 = redbrick','1 = redbrick illuminated');


%Wieso verschiebt die LED-Beleuchtung den Punkt nach rechts?

%Antwort: Beide Spektren mit der Hellempfindlichkeitskurve des 
%menschlichen Auges falten und dann vergleichen
human = luminos(lambda);
redbr_vis = human.*redbr;
redbr_illu_vis = human.*redbr_illu;
figure, plot(lambda, redbr_vis/max(redbr_vis), lambda, redbr_illu_vis/max(redbr_illu_vis))
legend('redbrick','redbrick illuminated');
%In diesem Plot ist sichtbar, dass die Beleuchtung erstens das
%"wahrgenommene Spektrum etwas enger macht (verschiebt xy Punkt etwas
%in Richtung Rand) und etwas zu lngeren Wellenlngen verschiebt (dreht den
%Winkel etwas in Richtung Rot)