clear all
lambda = [350:20:1000]*1e-9;
blackb_3280 = blackbody(lambda,3280);

redbr = loadspectrum(lambda, 'redbrick.dat');
concr = loadspectrum(lambda, 'concrete.dat');
gras = loadspectrum(lambda, 'gras.dat');

xy(:,1) = lambda2xy(lambda, blackb_3280);
xy(:,2) = lambda2xy(lambda, redbr);
xy(:,3) = lambda2xy(lambda, concr);
xy(:,4) = lambda2xy(lambda, gras)

plot(lambda, redbr/max(redbr),lambda, concr/max(concr),lambda ,gras/max(gras))
legend('redbrick', 'concrete', 'gras')

figure, xycolorspace
plot_point(xy,'o', 'sequence', 'textcolor', 'b')
legend(' ', '1 = 3280 K', '2 = redbrick', '3 = concrete', '4 = gras')